GNU logs - #25232, boring messages


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#25232: 24.4; Eliminate - Warning: Desktop file appears to be in use
Resent-From: "Richard Munitz (BLOOMBERG/ 731 LEX)" <rmunitz1@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 19 Dec 2016 16:30:04 +0000
Resent-Message-ID: <handler.25232.B.148216499419857 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 25232
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 25232 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-gnu-emacs@HIDDEN
Reply-To: Richard Munitz <rmunitz1@HIDDEN>
Received: via spool by submit <at> debbugs.gnu.org id=B.148216499419857
          (code B ref -1); Mon, 19 Dec 2016 16:30:04 +0000
Received: (at submit) by debbugs.gnu.org; 19 Dec 2016 16:29:54 +0000
Received: from localhost ([127.0.0.1]:47797 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cJ0oz-0005AC-Eh
	for submit <at> debbugs.gnu.org; Mon, 19 Dec 2016 11:29:53 -0500
Received: from eggs.gnu.org ([208.118.235.92]:36463)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rmunitz1@HIDDEN>) id 1cJ0ox-0005A0-AO
 for submit <at> debbugs.gnu.org; Mon, 19 Dec 2016 11:29:51 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rmunitz1@HIDDEN>) id 1cJ0oq-0001oL-G8
 for submit <at> debbugs.gnu.org; Mon, 19 Dec 2016 11:29:46 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,HTML_MESSAGE
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:40859)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <rmunitz1@HIDDEN>)
 id 1cJ0oq-0001oG-CX
 for submit <at> debbugs.gnu.org; Mon, 19 Dec 2016 11:29:44 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:55660)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <rmunitz1@HIDDEN>) id 1cJ0oo-0004aA-F7
 for bug-gnu-emacs@HIDDEN; Mon, 19 Dec 2016 11:29:44 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rmunitz1@HIDDEN>) id 1cJ0ok-0001mi-EM
 for bug-gnu-emacs@HIDDEN; Mon, 19 Dec 2016 11:29:42 -0500
Received: from mgnj2.bloomberg.net ([69.191.244.20]:17520)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_ARCFOUR_SHA1:16) (Exim 4.71)
 (envelope-from <rmunitz1@HIDDEN>) id 1cJ0ok-0001mL-7K
 for bug-gnu-emacs@HIDDEN; Mon, 19 Dec 2016 11:29:38 -0500
X-BB-Reception-Complete: 19 Dec 2016 11:29:36 -0500
X-IP-Listener: Outgoing Mail
X-IP-MID: 404106469
Received: from msllnjpmsgsv06.bloomberg.com (HELO msllnjpmsgsv06)
 ([10.126.134.166])
 by mgnj2.bloomberg.net with SMTP; 19 Dec 2016 11:29:36 -0500
X-BLP-INETSVC: version=BLP_APP_S_INETSVC_1.0.1; host=mgnj2:25; conid=19
Date: Mon, 19 Dec 2016 16:29:36 -0000
From: "Richard Munitz (BLOOMBERG/ 731 LEX)" <rmunitz1@HIDDEN>
MIME-Version: 1.0
Message-ID: <58580AF00238038400390542_0_52639@msllnjpmsgsv06>
X-BLP-GUID: 58580AF002380384003905420000
Content-Type: multipart/alternative;
 boundary="BOUNDARY_58580AF00238038400390542_0_55958_msllnjpmsgsv06"
Content-ID: <ID_58580AF00238038400390542_0_43987@msllnjpmsgsv06>
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.1 (----)

--BOUNDARY_58580AF00238038400390542_0_55958_msllnjpmsgsv06
Content-Type: text/plain; charset=UTF-8
Content-Disposition: inline
Content-Transfer-Encoding: base64
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--BOUNDARY_58580AF00238038400390542_0_55958_msllnjpmsgsv06
Content-Type: text/html; charset=UTF-8
Content-Disposition: inline
Content-Transfer-Encoding: base64
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--BOUNDARY_58580AF00238038400390542_0_55958_msllnjpmsgsv06--





Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Richard Munitz <rmunitz1@HIDDEN>
Subject: bug#25232: Acknowledgement (24.4; Eliminate - Warning: Desktop
 file appears to be in use)
Message-ID: <handler.25232.B.148216499419857.ack <at> debbugs.gnu.org>
References: <58580AF00238038400390542_0_52639@msllnjpmsgsv06>
X-Gnu-PR-Message: ack 25232
X-Gnu-PR-Package: emacs
Reply-To: 25232 <at> debbugs.gnu.org
Date: Mon, 19 Dec 2016 16:30:05 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-gnu-emacs@HIDDEN

If you wish to submit further information on this problem, please
send it to 25232 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
25232: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D25232
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 12 Jun 2017 15:25:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 12 11:25:50 2017
Received: from localhost ([127.0.0.1]:43631 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dKRDy-0004RF-7a
	for submit <at> debbugs.gnu.org; Mon, 12 Jun 2017 11:25:50 -0400
Received: from mail-wr0-f194.google.com ([209.85.128.194]:34562)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ionut.ciocirlan@HIDDEN>) id 1dKNty-0007WH-0b
 for control <at> debbugs.gnu.org; Mon, 12 Jun 2017 07:52:58 -0400
Received: by mail-wr0-f194.google.com with SMTP id u101so21460477wrc.1
 for <control <at> debbugs.gnu.org>; Mon, 12 Jun 2017 04:52:57 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:message-id:date:user-agent:mime-version
 :content-transfer-encoding;
 bh=dU1LOyD2cnCDRxn8GpHKaGgex06QlueQ7S1etksex3A=;
 b=AFaROiplznc/3waOHDqA4RmOYCSggwtyuSSlQLoqZAiU5DC50oTYRgybuM6jajZBtV
 SDqoQmg0wJjVOPFfJ0XhCQYAF1AC5GdZpNdmbCCxJDJDjoa6d9c2KxiSKQrH8ZuZN8su
 J1ci4p/wZRPbBAX7dSN/rcHmVWDhYFWkqKB2Z+BbDfq7sGskLJtNuI6w2OSTxPtiPLn3
 kIrcEYifn1N+teB8Q5amnvshazWOnXSokKoPgMVKcR4+Da2nBSqRzWMynuUPdC0mJZ7v
 tEqFUu7j5WnfgL/MiFcEXA7kvIT2V6e1bDz6fAbA5DB473chsu+GeP+sRxXPd9TUi3OJ
 WNMg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:message-id:date:user-agent:mime-version
 :content-transfer-encoding;
 bh=dU1LOyD2cnCDRxn8GpHKaGgex06QlueQ7S1etksex3A=;
 b=TKixTXO9NP2jGCXfONRYcJbyUQ/NjvMVf3tspPhL91m95HhC8cKeUDEL4AZZ481Odi
 MW2JLZ8N0viuJ/ZfpsTaushe8fRnsuozyjbgqNvLLIfAOwoiSsG91YxXwFPF3RDr9Ott
 lsGsXece894it8wCZ1ZhwnST2YvaQrnk0YcQhCIb439qaPOBKf2VUxrYZAXvaNaFktAN
 BoDw7+rfUnLoP+oVO7NzIXKH55ZPDLPXogH2rCrBZZPdA4zYlnhEWbXlfJI64DickZLr
 m3l9Ho/K/ZiGjN0ckCsIvNSOZLO+rmIs391JL52WH/aHEmwVTqHLkyYy5HrYK9KGiDbE
 M0JQ==
X-Gm-Message-State: AKS2vOy9mOtP/937P7H0f5ksDz0ZIq1EQdGX4nfnphSMURec/ALOqbiF
 gkZYbj6MFa7BU7wO
X-Received: by 10.28.12.2 with SMTP id 2mr7606924wmm.39.1497268371777;
 Mon, 12 Jun 2017 04:52:51 -0700 (PDT)
Received: from [192.168.0.59] ([78.97.200.10])
 by smtp.googlemail.com with ESMTPSA id v72sm16971986wrc.53.2017.06.12.04.52.50
 for <control <at> debbugs.gnu.org>
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 12 Jun 2017 04:52:51 -0700 (PDT)
From: =?UTF-8?B?SW9udcibIENpb2PDrnJsYW4=?= <ionut.ciocirlan@HIDDEN>
To: control <at> debbugs.gnu.org
Message-ID: <541026df-d533-80fc-95c2-bfe7319fd0c4@HIDDEN>
Date: Mon, 12 Jun 2017 14:52:49 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.8.0
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  merge 1474 25232 [...] 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
 (ionut.ciocirlan[at]gmail.com)
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.128.194 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
 trust [209.85.128.194 listed in list.dnswl.org]
 0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid
 1.8 MISSING_SUBJECT        Missing Subject: header
 0.2 NO_SUBJECT             Extra score for no subject
X-Debbugs-Envelope-To: control
X-Mailman-Approved-At: Mon, 12 Jun 2017 11:25:49 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  merge 1474 25232 [...] 
 
 Content analysis details:   (2.0 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
                             trust
                             [209.85.128.194 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [209.85.128.194 listed in wl.mailspike.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail provider
                             (ionut.ciocirlan[at]gmail.com)
  0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid
  1.8 MISSING_SUBJECT        Missing Subject: header
  0.2 NO_SUBJECT             Extra score for no subject

merge 1474 25232




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 24 Jan 2020 16:47:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 24 11:47:45 2020
Received: from localhost ([127.0.0.1]:54692 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iv27U-0001bX-Um
	for submit <at> debbugs.gnu.org; Fri, 24 Jan 2020 11:47:45 -0500
Received: from ted.gofardesign.uk ([67.225.143.91]:38552)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefan@HIDDEN>)
 id 1iv27R-0001bE-Qj; Fri, 24 Jan 2020 11:47:42 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=marxist.se; 
 s=default;
 h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=vQCxccyoBSC9odqKHWEXMc64G+61xn3ztDHApE2MLZU=; b=Xe2esNmpfRCfW6fAl7YIpi3xTV
 uLmDK2bbAXGLmlW8izorHSvuNJyDUNU+vszIZUok3kDN0v3ofh+gtwczxNgiFbtwW0chGbKIuOlrU
 7sw9CcZXv2sZW10DYGg05n0bvqw6gKkRtbJPwhXXp4QwBX7bqDqcaSMnYvOfxvpm4ha+iUwoJLa2j
 TlOYF4ShtLTZbHDJIZFrP4a+D7jZ8UjvsdBHxAzO+cu+fLwoGwl0a84g4xmVrXzo5JhLHFUcozvug
 KxCJqoA/kmUUSlkNAnHhZD3JVVunEJD7zpQNFPVZYZDpptrolE/Do+iaVmEOpldRTK+l99thX5bJK
 nducRPZQ==;
Received: from h-70-69.a785.priv.bahnhof.se ([155.4.70.69]:33248
 helo=localhost)
 by ted.gofardesign.uk with esmtpsa (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256)
 (Exim 4.92) (envelope-from <stefan@HIDDEN>)
 id 1iv27H-0015oc-2s; Fri, 24 Jan 2020 11:47:31 -0500
From: Stefan Kangas <stefan@HIDDEN>
To: Thierry Volpiatto <thierry.volpiatto@HIDDEN>
Subject: Re: bug#1474: 23.0.60; desktop.el don't check if pid in his lock
 file is always in use
In-Reply-To: <87bpvufe28.fsf@HIDDEN> (Thierry Volpiatto's message of
 "Tue, 02 Dec 2008 22:43:43 +0100")
References: <87bpvufe28.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
Date: Fri, 24 Jan 2020 17:47:29 +0100
Message-ID: <87v9p094ym.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - ted.gofardesign.uk
X-AntiAbuse: Original Domain - debbugs.gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - marxist.se
X-Get-Message-Sender-Via: ted.gofardesign.uk: authenticated_id:
 stefan@HIDDEN
X-Authenticated-Sender: ted.gofardesign.uk: stefan@HIDDEN
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: control
Cc: 1474 <at> debbugs.gnu.org, emacs@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

tags 1474 + patch
thanks

Thierry Volpiatto <thierry.volpiatto@HIDDEN> writes:

> When killing emacs --daemon or emacs brutally with killall for example,
> when reloading emacs or emacs --daemon, emacs ask if we want to load
> desktop file or not (pid is already in use...).
> I think emacs should check if the PID that is in his lock file is always
> in use.

I agree with the proposal, and have written up a suggested patch.
This would work as follows (taken from my NEWS entry, see the
suggested documentation for more):

    ** Emacs Sessions (Desktop)
    
    +++
    *** New option to load if locking Emacs not running locally.
    The option 'desktop-load-locked-desktop' can now be set to value
    'check', which means to load the desktop only if the locking Emacs
    process is not running on the local machine.  See the "(emacs) Saving
    Emacs Sessions" node in the Emacs manual for details.

The concerns with this proposal was that this breaks if Emacs is
running on a remote machine.  The user could have the lock file in a
remoted directory (e.g. on an NFS mount).  I have therefore documented
in the manual and the doc string that this value should be avoided
under such circumstances.

Another idea suggested in this thread was to change the lock file to
also include (system-name).  That could be done, if it's deemed to be
better, but has the drawback that a lock file from a recent Emacs
would not be recognized by an old Emacs.  (The relevant code reads the
whole buffer.)  A possible work-around is to add the backwards
incompatible system name in a comment instead.  Maybe that is much
more desirable than simply documenting the limitation; it would be
good to hear other opinions on that.

Any comments or suggestions?

Best regards,
Stefan Kangas


--=-=-=
Content-Type: text/x-diff
Content-Disposition: inline;
 filename=0001-Load-desktop-without-prompting-if-process-is-dead.patch

From 04c2d26df4f73be675cc9ea6aa2ce10a474ecd18 Mon Sep 17 00:00:00 2001
From: Stefan Kangas <stefankangas@HIDDEN>
Date: Fri, 24 Jan 2020 05:12:20 +0100
Subject: [PATCH] Load desktop without prompting if process is dead

* lisp/desktop.el (desktop-load-locked-desktop): Add new value 'check'
to load desktop file without prompting if locking Emacs process does
not exist on the local machine.  (Bug#1474)
(desktop-read): Extract function from here...
(desktop--load-locked-desktop-p): ...to here.  New function handles
the semantics of 'desktop-load-locked-desktop', including above new
value 'check'.
(desktop--emacs-pid-running-p): New function.

* test/lisp/desktop-tests.el: New file with tests for the above.

* doc/emacs/misc.texi (Saving Emacs Sessions): Document the new
'check' value.
* etc/NEWS: Announce the change.
---
 doc/emacs/misc.texi        |  7 +++++-
 etc/NEWS                   |  9 +++++++
 lisp/desktop.el            | 48 +++++++++++++++++++++++++++---------
 test/lisp/desktop-tests.el | 50 ++++++++++++++++++++++++++++++++++++++
 4 files changed, 102 insertions(+), 12 deletions(-)
 create mode 100644 test/lisp/desktop-tests.el

diff --git a/doc/emacs/misc.texi b/doc/emacs/misc.texi
index 6b95b12a84..bedbfb7abe 100644
--- a/doc/emacs/misc.texi
+++ b/doc/emacs/misc.texi
@@ -2653,7 +2653,12 @@ Saving Emacs Sessions
 can avoid the question by customizing the variable
 @code{desktop-load-locked-desktop} to either @code{nil}, which means
 never load the desktop in this case, or @code{t}, which means load the
-desktop without asking.
+desktop without asking.  Finally, the @code{check} value means to load
+the file if the Emacs process that has locked the desktop is not
+running on the local machine.  This should not be used in
+circumstances where the locking Emacs might still be running on
+another machine.  This could be the case in multi-user environments
+where your home directory is mounted remotely using NFS or similar.
 
 @cindex desktop restore in daemon mode
   When Emacs starts in daemon mode, it cannot ask you any questions,
diff --git a/etc/NEWS b/etc/NEWS
index 11ef31b2c8..de39912e90 100644
--- a/etc/NEWS
+++ b/etc/NEWS
@@ -90,6 +90,15 @@ supplied error message.
 *** New connection method "media", which allows accessing media devices
 like cell phones, tablets or cameras.
 
+** Emacs Sessions (Desktop)
+
++++
+*** New option to load if locking Emacs not running locally.
+The option 'desktop-load-locked-desktop' can now be set to value
+'check', which means to load the desktop only if the locking Emacs
+process is not running on the local machine.  See the "(emacs) Saving
+Emacs Sessions" node in the Emacs manual for details.
+
 
 * New Modes and Packages in Emacs 28.1
 
diff --git a/lisp/desktop.el b/lisp/desktop.el
index 9538bb4a34..27f6c80531 100644
--- a/lisp/desktop.el
+++ b/lisp/desktop.el
@@ -230,16 +230,25 @@ desktop-auto-save-timeout
 (defcustom desktop-load-locked-desktop 'ask
   "Specifies whether the desktop should be loaded if locked.
 Possible values are:
-   t    -- load anyway.
-   nil  -- don't load.
-   ask  -- ask the user.
-If the value is nil, or `ask' and the user chooses not to load the desktop,
-the normal hook `desktop-not-loaded-hook' is run."
+   t      -- load anyway.
+   nil    -- don't load.
+   ask    -- ask the user.
+   check  -- load if locking Emacs process is missing locally.
+
+If the value is nil, or `ask' and the user chooses not to load
+the desktop, the normal hook `desktop-not-loaded-hook' is run.
+
+If the value is `check', load the desktop if the Emacs process
+that has locked it is not running on the local machine.  This
+should not be used in circumstances where the locking Emacs might
+still be running on another machine.  That could be the case if
+you have remotely mounted (NFS) paths in `desktop-dirname'."
   :type
   '(choice
     (const :tag "Load anyway" t)
     (const :tag "Don't load" nil)
-    (const :tag "Ask the user" ask))
+    (const :tag "Ask the user" ask)
+    (const :tag "Load if no local process" check))
   :group 'desktop
   :version "22.2")
 
@@ -662,6 +671,27 @@ desktop-owner
 	     (integerp owner)))
 	 owner)))
 
+(defun desktop--emacs-pid-running-p (pid)
+  "Return t if an Emacs process with PID exists."
+  (when-let ((attr (process-attributes pid)))
+    (string-match "^emacs$" (alist-get 'comm attr))))
+
+(defun desktop--load-locked-desktop-p (owner)
+  "Return t if a locked desktop should be loaded.
+OWNER is the pid in the lock file.
+The return value of this function depends on the value of
+`desktop-load-locked-desktop'."
+  (pcase desktop-load-locked-desktop
+    ('ask
+     (unless (daemonp)
+       (y-or-n-p (format "Warning: desktop file appears to be in use by PID %s.\n\
+Using it may cause conflicts.  Use it anyway? " owner))))
+    ('check
+     (or (eq (emacs-pid) owner)
+         (not (desktop--emacs-pid-running-p owner))))
+    ('nil nil)
+    (_ t)))
+
 (defun desktop-claim-lock (&optional dirname)
   "Record this Emacs process as the owner of the desktop file in DIRNAME.
 DIRNAME omitted or nil means use `desktop-dirname'."
@@ -1238,11 +1268,7 @@ desktop-read
 	      (desktop-save nil)
 	      (desktop-autosave-was-enabled))
 	  (if (and owner
-		   (memq desktop-load-locked-desktop '(nil ask))
-		   (or (null desktop-load-locked-desktop)
-		       (daemonp)
-		       (not (y-or-n-p (format "Warning: desktop file appears to be in use by PID %s.\n\
-Using it may cause conflicts.  Use it anyway? " owner)))))
+                   (not (desktop--load-locked-desktop-p owner)))
 	      (let ((default-directory desktop-dirname))
 		(setq desktop-dirname nil)
 		(run-hooks 'desktop-not-loaded-hook)
diff --git a/test/lisp/desktop-tests.el b/test/lisp/desktop-tests.el
new file mode 100644
index 0000000000..7483bb8adb
--- /dev/null
+++ b/test/lisp/desktop-tests.el
@@ -0,0 +1,50 @@
+;;; desktop-tests.el --- Tests for desktop.el  -*- lexical-binding: t -*-
+
+;; Copyright (C) 2020 Free Software Foundation, Inc.
+
+;; This file is part of GNU Emacs.
+
+;; GNU Emacs is free software: you can redistribute it and/or modify
+;; it under the terms of the GNU General Public License as published by
+;; the Free Software Foundation, either version 3 of the License, or
+;; (at your option) any later version.
+
+;; GNU Emacs is distributed in the hope that it will be useful,
+;; but WITHOUT ANY WARRANTY; without even the implied warranty of
+;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+;; GNU General Public License for more details.
+
+;; You should have received a copy of the GNU General Public License
+;; along with GNU Emacs.  If not, see <https://www.gnu.org/licenses/>.
+
+;;; Commentary:
+
+;;; Code:
+
+(require 'ert)
+(require 'desktop)
+
+(ert-deftest desktop-tests--emacs-pid-running-p ()
+  (should (desktop--emacs-pid-running-p (emacs-pid)))
+  (should-not (desktop--emacs-pid-running-p 1)))
+
+(ert-deftest desktop-tests--load-locked-desktop-p ()
+  (let ((desktop-load-locked-desktop t))
+    (should (desktop--load-locked-desktop-p (emacs-pid)))))
+
+(ert-deftest desktop-tests--load-locked-desktop-p-nil ()
+  (let ((desktop-load-locked-desktop nil))
+    (should-not (desktop--load-locked-desktop-p (emacs-pid)))))
+
+(ert-deftest desktop-tests--load-locked-desktop-p-ask ()
+ (let ((desktop-load-locked-desktop 'ask))
+   (cl-letf (((symbol-function 'y-or-n-p) (lambda (&rest _) t)))
+     (should (desktop--load-locked-desktop-p (emacs-pid))))
+   (cl-letf (((symbol-function 'y-or-n-p) (lambda (&rest _) nil)))
+     (should-not (desktop--load-locked-desktop-p (emacs-pid))))))
+
+(ert-deftest desktop-tests--load-locked-desktop-p-check ()
+  (let ((desktop-load-locked-desktop 'check))
+    (desktop--load-locked-desktop-p (emacs-pid))))
+
+(provide 'desktop-tests)
-- 
2.20.1


--=-=-=--





Last modified: Fri, 24 Jan 2020 17:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.